/*
 * avrgal - based on avrdude
 * avrdude - A Downloader/Uploader for AVR device programmers
 * Copyright (C) 2003-2004  Theodore A. Roth  <troth@openavr.org>
 * Copyright (C) 2010  David Anders <danders@rad-tech-labs.com>
 * Copyright (C) 2010  TinCanTools <sales@tincantools.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* $Id: serial.h 845 2009-10-10 01:41:40Z mludvig $ */

/* This is the API for the generic serial interface. The implementations are
   actually provided by the target dependant files:

   ser_posix.c : posix serial interface.
   ser_win32.c : native win32 serial interface.

   The target file will be selected at configure time. */

#ifndef serial_h
#define serial_h

int ser_set_dtr_rts(int fd, int is_on);
int ser_open(char * port, long baud);
void ser_close(int fd);
int ser_send(int fd, unsigned char * buf, size_t buflen);
int ser_recv(int fd, unsigned char * buf, size_t buflen);
int ser_drain(int fd, int display);

#endif /* serial_h */
